#ifndef _AUDIO_SOURCES
#define _AUDIO_SOURCES

#include <glib.h>
#include <gdk/gdk.h>

#define DEFAULT_AUDIO_SOURCE "pulsesrc"

typedef struct {
    gchar *id;   // Internal device id (audio device)
    gchar *name;  // Human readable device name/description
} DeviceItem;

void audio_sources_init();
void audio_sources_exit();

DeviceItem *device_item_create(gchar *id, gchar *name);
void device_item_free(DeviceItem *item);

gchar *get_device_for_name(gchar *name);

GList *get_audio_devices(gchar *pipe_name);

#endif



