#ifndef _WINDOW_H_
#define _WINDOW_H_

#include <glib.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>

// Width of the settings window
#define PREF_WINDOW_WIDTH 300 

// Settings window structure
typedef struct {
	GtkWidget *window;
	GtkWidget *recorder_button;
	GtkWidget *time_label;
	GtkWidget *size_label;
	GtkWidget *level_bar;

	GtkWidget *filename;
	GtkWidget *add_to_file;

	GtkWidget *timer_active;
	GtkWidget *timer_type;
	GtkWidget *timer_value;

	GtkWidget *audio_device;
	GtkWidget *media_format;

	GtkWidget *folder_name;
	GtkWidget *filename_pattern;
} SettingsWindow;

void window_create();
void window_hide();
void win_set_widgets();

void win_start_recording_cb(GtkButton *button, gpointer user_data);

#endif
